Subject: Re: git whatchanged --i-still-use-it

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Mar 2026 10:03:52 -0800

Antoine Cousson <[email-masked]> writes:

> I would like to say that I still use `git whatchanged` I like the way we see the
> modified files instead of just `git log`

Then perhaps you would like "git log --stat" even better?  Instead
of meaningless pair of hexadecimal object names, you'd get a sense
of the size of damage each commit causes to the codebase.

The command is going away.  You could

  $ git config alias.whatchanged "log --raw --no-merges"

if you really prefer the ugly hexadecimal gibberish, though.